/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License, version 2, as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

/** Simple OpenGL functions. */
module mde.gl;

import mde.scheduler.runTime;

import derelict.sdl.sdl;
import derelict.opengl.gl;

static this () {
    Scheduler.perRequest (RF_KEYS.DRAW, &mde.gl.draw);
}

void glSetup () {
    glClearColor (0.0f, 0.0f, 0.0f, 0.0f);
}

void setProjection (int w, int h) {
    glMatrixMode (GL_PROJECTION);
    glLoadIdentity ();
    
    glViewport (0,0,w,h);
    //glOrtho (0.0,w, 0.0,h, -1.0, 1.0);
    glOrtho (0.0,1.0,0.0,1.0,-1.0,1.0);
    
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
}

// Temporary draw function
void draw () {
    glClear(GL_COLOR_BUFFER_BIT);
    
    glBegin (GL_QUADS);
    {
        glColor3f (0.2f, 0.6f, 0.8f);
        /+glVertex2i (40, 40);
        glVertex2i (200, 40);
        glVertex2i (200, 200);
        glVertex2i (40, 200);+/
        glVertex2f (0.1f, 0.1f);
        glVertex2f (0.9f, 0.1f);
        glVertex2f (0.9f, 0.9f);
        glVertex2f (0.1f, 0.9f);
    }
    glEnd();
    
    glFlush();
    SDL_GL_SwapBuffers();
}
