/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License, version 2, as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

/** A module to run all mde unittests and potentially to perform other tests.
*
* Purpose: an easy mechanism to perform all tests.
*
* Unittests do NOT require this module to run, however since the full executable may become complex
* and thus not be the ideal tool to perform testing, tests may also be run from here.
*/
module test.mdeTest;

// This module should import all mde modules containing unittests:
import mde.input.input;
import mde.mergetag.DataSet;
import mde.mergetag.mtunittest;
import mde.exception;
import mde.scheduler.Init;
import mde.i18n.I18nTranslation;

import tango.util.log.Log : Log, Logger;

private Logger logger;

static this()
{
    // In case no console-appender is added by Init, add one here (doesn't hurt if it's an extra)
    Log.getRootLogger.addAppender(new ConsoleAppender);
    
    logger = Log.getLogger ("test.mdeTest");
}

void main() {
    logger.info ("All unittests complete.");
}
